#!/bin/csh
# usage : fd.mc directory lowerPV upperPV momentIndex magFactor scaleLimit
#
if ($#argv != 6) then
  echo echo usage : \
       fd.mc directory lowerPV upperPV momentIndex magFactor scaleLimit \
       1\>\&2 | /bin/sh
  exit 1
endif
#
set dir=$argv[1]
set lu=($argv[2-3])
set mi=$argv[4]
@ mf = $argv[5]
@ sl = $argv[6]
#
@ scale = 1 ; set scales=$scale
while ($scale < $sl)
  @ scale *= $mf ; set scales=($scales $scale)
end
#
echo $scales | tr ' ' '\n' | fd_mc $dir - $lu $mi | cut -f1,7
